Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## peak.can
Class MutableInteger

    java.lang.Object
      peak.can.MutableInteger

    public class MutableInteger

extends java.lang.Object

The MutableInteger class wraps a value of the primitive type int in an object. An object of type Integer contains a single field whose type is int. This class is used because Java.Lang.Integer objects are defined as Imutable. Yet, we need to maintain object reference when it's passed to the JNI library using. So, we defined a simple Class which extends Java.Lang.Object to resolve the problematic.

Field Summary
`int` | `value`

Constructor Summary
`MutableInteger(int value)` Constructor
`MutableInteger(java.lang.String value)` Constructor parsing the string argument as a integer

Method Summary
`int` | `getValue()` Gets integer value
`void` | `setValue(int value)` Sets integer value
`java.lang.String` | `toString()` Overrides toString() to display int value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public int value

Constructor Detail

### MutableInteger

    public MutableInteger(int value)

  Constructor

  Parameters:
    `value` - int value

### MutableInteger

    public MutableInteger(java.lang.String value)

  Constructor parsing the string argument as a integer

  Parameters:
    `value` - integer as string

Method Detail

### getValue

    public int getValue()

  Gets integer value

  Returns:
    integer value

### setValue

    public void setValue(int value)

  Sets integer value

  Parameters:
    `integer` - value

### toString

    public java.lang.String toString()

  Overrides toString() to display int value

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD